NetBSD-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: bin/39002 (harmful AWK extension: non-portable escaped character)

> The patch has been applied. Now awk produces the same warnings other
> awk implementations, and awk programmers can either fix their code
> or live with the warnings. Another option is to add a command line
> warning flag, but I'd rather not, since it is easy to fix the code
> and it makes the scripts more portable.

Thank you. How about another similar proposal?

I guess this also contradicts with "The AWK Programming Language" book
(the only reasonable argument against this patch I've seen).

Best regards, Aleksey Cheusov.

Home | Main Index | Thread Index | Old Index